package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: MdmDimColumnType
 * @Description: 字段类型维表实体类
 * @author: Zhao You Kai
 * @date: Feb 21, 2019 6:36:04 PM
 */
public class MdmDimColumnType {

	@ApiModelProperty("ID")
	private Integer id;
	@ApiModelProperty("字段数据库类型")
	private String typeName;
	@ApiModelProperty("字段类型描述")
	private String typeDesc;
	@ApiModelProperty("字段类型描述")
	private Integer resourceType;
	@ApiModelProperty("是否浮点类型")
	private Integer isFloatPoint;
	@ApiModelProperty("是否是时间类型")
	private Integer isTime;

	public Integer getIsTime() {
		return isTime;
	}

	public void setIsTime(Integer isTime) {
		this.isTime = isTime;
	}

	public Integer getResourceType() {
		return resourceType;
	}

	public void setResourceType(Integer resourceType) {
		this.resourceType = resourceType;
	}

	public Integer getIsFloatPoint() {
		return isFloatPoint;
	}

	public void setIsFloatPoint(Integer isFloatPoint) {
		this.isFloatPoint = isFloatPoint;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getTypeDesc() {
		return typeDesc;
	}

	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}

}
